Welcome! Log In Create A New Profile

Advanced

Install Rewriting Capability

Posted by bsmither 
Install Rewriting Capability
February 26, 2020 01:19AM
I do have 1.14.0 installed - apparently from Ubuntu:
sudo nginx -V
nginx version: nginx/1.14.0 (Ubuntu)

I understand that this version is available"
1.17.8-1~bionic 500
500 http://nginx.org/packages/mainline/ubuntu bionic/nginx amd64 Packages

I want to be able to rewrite URLs. (Two days of blood, sweat, and tears trying to get it to work.)

Finally, I see a minor note, on a page that discusses why rewriting isn't working, that one should make sure that the rewrite module is installed.

I start researching on how to get the module installed.

Do I really need to recompile Nginx????

If this oversight is corrected in v1.17, do I really need to uninstall 1.14 first, then install 1.17?

(I tried updating, but I got errors with the phrase 'broken packages" in them.)
Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 78
Record Number of Users: 6 on February 13, 2018
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready